public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jonas Stein" <jstein@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/gajim/
Date: Mon, 14 Aug 2023 19:57:48 +0000 (UTC)	[thread overview]
Message-ID: <1692043051.2cd0f81884be879b08e51a5136f01dc67d2ffd7a.jstein@gentoo> (raw)

commit:     2cd0f81884be879b08e51a5136f01dc67d2ffd7a
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 14 19:55:42 2023 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Mon Aug 14 19:57:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cd0f818

net-im/gajim: add 1.8.0, 1.8.1

Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 net-im/gajim/Manifest           |   2 +
 net-im/gajim/gajim-1.8.0.ebuild | 105 ++++++++++++++++++++++++++++++++++++++++
 net-im/gajim/gajim-1.8.1.ebuild | 105 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 212 insertions(+)

diff --git a/net-im/gajim/Manifest b/net-im/gajim/Manifest
index ee06ad45b259..cd6d2a28c4ea 100644
--- a/net-im/gajim/Manifest
+++ b/net-im/gajim/Manifest
@@ -1,2 +1,4 @@
 DIST gajim-1.4.7.tar.gz 7184866 BLAKE2B 9be0ae485a372683623eff1f9ed1d209800c3088bf01c134bb5c6f1770e8ded1ebe6c2b301ad648c6cfb1793e2be43aade1410a701f7d0490f2ab1b0a4c3fdd5 SHA512 5988f6b7aa46166208b1693b9e1a5fe982cea2987f3f4170bcb14e4bb9be1154b1c6ceed020a949131a498db43d2dffee30bd3167cd56889c1cbb5641ed960f4
 DIST gajim-1.7.3.tar.gz 3753831 BLAKE2B c7b8b1dc47b1faf9f1c0803e7931cb00bfbf31075fe481d557ec0f308c79e7580d0054d224781a67eaeea24dba40e40de5faf55d633d71f759022a1ac113f6e4 SHA512 66135e88784350bab79b61debc1b65144a82f8eee2c1841d21e4f511b3792361e57b60304d2478654e563687e8302426d76063e748236f4e1c959511c7c28665
+DIST gajim-1.8.0.tar.gz 3835799 BLAKE2B 030293fc8114877c6d060cd0feae0fecdcecbb26aac8817e1db7db59aee3ee79973efc94584434641ccd39adcf809e0c7a86a017ab46c9695666d898fb7b7905 SHA512 724290de6d438aacd929a9759d7a712068c303caf9002a1a70ddc0e9aa16387054d3e4efacf84eced28f49ef79749c764d5fe67fcb23c3baef3a2b7714df218e
+DIST gajim-1.8.1.tar.gz 3844796 BLAKE2B b7bbd751a051cd2a46e814a9b3ebc08f10a6570dc071752838a2463019cdf6ea4198f2a349f3935c33d988cd6908cf31dba572bac31f9363675433328e6d679b SHA512 b417d76a4225f16730441dee7befacd6db5be782c9271b789d5f9c10232e342f2d46930eef79a58839c13b2887926591d953a87a7544e32c7bf80d2c65390e31

diff --git a/net-im/gajim/gajim-1.8.0.ebuild b/net-im/gajim/gajim-1.8.0.ebuild
new file mode 100644
index 000000000000..0e911bf76b48
--- /dev/null
+++ b/net-im/gajim/gajim-1.8.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="sqlite,xml(+)"
+DISTUTILS_USE_PEP517=standalone
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jabber client written in PyGTK"
+HOMEPAGE="https://gajim.org/"
+SRC_URI="https://gajim.org/downloads/$(ver_cut 1-2)/${P/_p/-}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+# KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+# Gajim depends now on omemo-dr. Add KEYWORDS again,
+# when https://bugs.gentoo.org/912285 is fixed.
+
+KEYWORDS="~amd64"
+IUSE="+crypt geolocation jingle remote rst +spell upnp +webp"
+
+COMMON_DEPEND="
+	dev-libs/gobject-introspection[cairo(+)]
+	>=x11-libs/gtk+-3.22:3[introspection]
+	x11-libs/gtksourceview:4[introspection]"
+DEPEND="${COMMON_DEPEND}
+	app-arch/unzip
+	virtual/pkgconfig
+	>=x11-libs/pango-1.5.0
+	>=sys-devel/gettext-0.17-r1"
+RDEPEND="${COMMON_DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/idna[${PYTHON_USEDEP}]
+		>=dev-python/nbxmpp-4.2.2[${PYTHON_USEDEP}]
+		<dev-python/nbxmpp-5.0.0[${PYTHON_USEDEP}]
+		dev-python/precis-i18n[${PYTHON_USEDEP}]
+		dev-python/pyasn1[${PYTHON_USEDEP}]
+		dev-python/pycairo[${PYTHON_USEDEP}]
+		dev-python/pycurl[${PYTHON_USEDEP}]
+		dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
+		x11-libs/libXScrnSaver
+		app-crypt/libsecret[crypt,introspection]
+		dev-python/keyring[${PYTHON_USEDEP}]
+		>=dev-python/secretstorage-3.1.1[${PYTHON_USEDEP}]
+		dev-python/css-parser[${PYTHON_USEDEP}]
+		dev-python/packaging[${PYTHON_USEDEP}]
+		net-libs/libsoup:3.0[introspection]
+		media-libs/gsound[introspection]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/jaraco-classes[${PYTHON_USEDEP}]
+		dev-python/python-axolotl[${PYTHON_USEDEP}]
+		dev-python/qrcode[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/omemo-dr[${PYTHON_USEDEP}]
+		crypt? (
+			dev-python/pycryptodome[${PYTHON_USEDEP}]
+			>=dev-python/python-gnupg-0.4.0[${PYTHON_USEDEP}] )
+		geolocation? ( app-misc/geoclue[introspection] )
+		jingle? (
+			net-libs/farstream:0.2[introspection]
+			media-libs/gstreamer:1.0[introspection]
+			media-libs/gst-plugins-base:1.0[introspection]
+			media-libs/gst-plugins-ugly:1.0
+			media-plugins/gst-plugins-gtk
+		)
+		remote? (
+			>=dev-python/dbus-python-1.2.0[${PYTHON_USEDEP}]
+			sys-apps/dbus[X]
+		)
+		rst? ( dev-python/docutils[${PYTHON_USEDEP}] )
+		spell? (
+			app-text/gspell[introspection]
+			app-text/hunspell
+		)
+		upnp? ( net-libs/gupnp-igd:0[introspection] )
+	')"
+
+python_compile() {
+	distutils-r1_python_compile
+	./pep517build/build_metadata.py -o dist/metadata
+}
+
+python_install() {
+	distutils-r1_python_install
+	./pep517build/install_metadata.py dist/metadata --prefix="${D}/usr"
+
+	gzip -d "${ED}"/usr/share/man/man1/*.gz || die
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+# Tests are unfortunately regularly broken
+RESTRICT="test"

diff --git a/net-im/gajim/gajim-1.8.1.ebuild b/net-im/gajim/gajim-1.8.1.ebuild
new file mode 100644
index 000000000000..0e911bf76b48
--- /dev/null
+++ b/net-im/gajim/gajim-1.8.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="sqlite,xml(+)"
+DISTUTILS_USE_PEP517=standalone
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jabber client written in PyGTK"
+HOMEPAGE="https://gajim.org/"
+SRC_URI="https://gajim.org/downloads/$(ver_cut 1-2)/${P/_p/-}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+# KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+# Gajim depends now on omemo-dr. Add KEYWORDS again,
+# when https://bugs.gentoo.org/912285 is fixed.
+
+KEYWORDS="~amd64"
+IUSE="+crypt geolocation jingle remote rst +spell upnp +webp"
+
+COMMON_DEPEND="
+	dev-libs/gobject-introspection[cairo(+)]
+	>=x11-libs/gtk+-3.22:3[introspection]
+	x11-libs/gtksourceview:4[introspection]"
+DEPEND="${COMMON_DEPEND}
+	app-arch/unzip
+	virtual/pkgconfig
+	>=x11-libs/pango-1.5.0
+	>=sys-devel/gettext-0.17-r1"
+RDEPEND="${COMMON_DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/idna[${PYTHON_USEDEP}]
+		>=dev-python/nbxmpp-4.2.2[${PYTHON_USEDEP}]
+		<dev-python/nbxmpp-5.0.0[${PYTHON_USEDEP}]
+		dev-python/precis-i18n[${PYTHON_USEDEP}]
+		dev-python/pyasn1[${PYTHON_USEDEP}]
+		dev-python/pycairo[${PYTHON_USEDEP}]
+		dev-python/pycurl[${PYTHON_USEDEP}]
+		dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
+		x11-libs/libXScrnSaver
+		app-crypt/libsecret[crypt,introspection]
+		dev-python/keyring[${PYTHON_USEDEP}]
+		>=dev-python/secretstorage-3.1.1[${PYTHON_USEDEP}]
+		dev-python/css-parser[${PYTHON_USEDEP}]
+		dev-python/packaging[${PYTHON_USEDEP}]
+		net-libs/libsoup:3.0[introspection]
+		media-libs/gsound[introspection]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/jaraco-classes[${PYTHON_USEDEP}]
+		dev-python/python-axolotl[${PYTHON_USEDEP}]
+		dev-python/qrcode[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/omemo-dr[${PYTHON_USEDEP}]
+		crypt? (
+			dev-python/pycryptodome[${PYTHON_USEDEP}]
+			>=dev-python/python-gnupg-0.4.0[${PYTHON_USEDEP}] )
+		geolocation? ( app-misc/geoclue[introspection] )
+		jingle? (
+			net-libs/farstream:0.2[introspection]
+			media-libs/gstreamer:1.0[introspection]
+			media-libs/gst-plugins-base:1.0[introspection]
+			media-libs/gst-plugins-ugly:1.0
+			media-plugins/gst-plugins-gtk
+		)
+		remote? (
+			>=dev-python/dbus-python-1.2.0[${PYTHON_USEDEP}]
+			sys-apps/dbus[X]
+		)
+		rst? ( dev-python/docutils[${PYTHON_USEDEP}] )
+		spell? (
+			app-text/gspell[introspection]
+			app-text/hunspell
+		)
+		upnp? ( net-libs/gupnp-igd:0[introspection] )
+	')"
+
+python_compile() {
+	distutils-r1_python_compile
+	./pep517build/build_metadata.py -o dist/metadata
+}
+
+python_install() {
+	distutils-r1_python_install
+	./pep517build/install_metadata.py dist/metadata --prefix="${D}/usr"
+
+	gzip -d "${ED}"/usr/share/man/man1/*.gz || die
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+# Tests are unfortunately regularly broken
+RESTRICT="test"


             reply	other threads:[~2023-08-14 19:57 UTC|newest]

Thread overview: 115+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-14 19:57 Jonas Stein [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-08 20:48 [gentoo-commits] repo/gentoo:master commit in: net-im/gajim/ Jonas Stein
2024-05-29  6:10 Joonas Niilola
2024-05-28 18:19 Arthur Zamarin
2024-04-15 15:24 Michał Górny
2024-02-24 15:20 Hanno Böck
2024-02-03 19:09 Sam James
2024-02-03 14:19 Arthur Zamarin
2024-01-23  0:45 Jonas Stein
2024-01-21  0:37 Jonas Stein
2023-12-25 21:12 Jonas Stein
2023-09-09 17:12 WANG Xuerui
2023-08-20 21:27 Marek Szuba
2023-08-15 11:04 Arthur Zamarin
2023-08-15 11:04 Arthur Zamarin
2023-08-14 20:48 Jonas Stein
2023-07-27  5:25 WANG Xuerui
2023-06-24  3:22 Sam James
2023-06-24  3:22 Sam James
2023-05-19 11:46 Ben Kohler
2023-05-15 20:26 Ben Kohler
2023-04-17  0:49 Matt Turner
2023-02-20 18:20 Michał Górny
2022-12-15 11:09 Sergey Popov
2022-11-18 14:02 Matt Turner
2022-11-18 14:02 Matt Turner
2022-09-08  6:23 Jakov Smolić
2022-09-08  3:31 Sam James
2022-09-07  7:52 Michał Górny
2022-08-07  5:31 Hanno Böck
2022-07-18  3:47 Hanno Böck
2022-06-21  7:25 Michał Górny
2022-05-29 15:11 Hanno Böck
2022-05-22 19:00 Hanno Böck
2022-05-20  7:23 Hanno Böck
2022-05-17 11:21 Hanno Böck
2022-03-25  1:48 Sam James
2022-03-05  9:23 Jakov Smolić
2022-03-05  0:05 Sam James
2022-01-23 12:54 Hanno Böck
2022-01-23  8:45 Hanno Böck
2021-12-03 13:46 Arthur Zamarin
2021-11-13 21:09 Jakov Smolić
2021-11-13 12:51 Jakov Smolić
2021-10-21  4:20 Sam James
2021-10-19 14:36 Hanno Böck
2021-07-19  7:18 Hanno Böck
2021-07-19  7:16 Hanno Böck
2021-04-26 10:34 Sam James
2021-04-22 12:08 Sam James
2021-04-15  6:15 Hanno Böck
2021-04-06 19:49 Sam James
2021-04-06 19:47 Sam James
2021-03-05  9:02 Hanno Böck
2021-02-19  9:30 Hanno Böck
2020-11-02 13:07 Sam James
2020-10-25 19:46 Thomas Deutschmann
2020-09-03  8:56 Hanno Böck
2020-09-03  8:53 Hanno Böck
2020-08-18 11:22 Agostino Sarubbo
2020-08-17  7:01 Agostino Sarubbo
2020-07-21 17:59 Hanno Böck
2020-06-26  9:04 Hanno Böck
2020-04-30  8:11 Hanno Böck
2020-04-26 17:25 Hanno Böck
2020-04-26 15:29 Agostino Sarubbo
2020-04-26 14:16 Agostino Sarubbo
2020-03-02 19:53 Mart Raudsepp
2020-02-09 19:40 Michał Górny
2020-02-09 16:47 Michał Górny
2019-12-19  7:53 Hanno Böck
2019-08-26  7:21 Hanno Boeck
2019-08-19  9:19 Hanno Boeck
2019-05-29 15:14 Hanno Boeck
2019-04-19 14:00 Amadeusz Piotr Żołnowski
2019-04-08 15:32 Mikle Kolyada
2019-04-08  2:18 Thomas Deutschmann
2018-12-07 12:57 Mikle Kolyada
2018-09-16 19:23 Matt Turner
2017-12-29 21:39 Amadeusz Piotr Żołnowski
2017-12-17 20:52 Amadeusz Piotr Żołnowski
2017-12-17 20:52 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-11-14 23:00 Amadeusz Piotr Żołnowski
2017-07-05 19:25 Amadeusz Piotr Żołnowski
2017-06-13 12:31 Agostino Sarubbo
2017-06-12 18:53 Markus Meier
2017-06-04 18:30 Justin Lecher
2017-06-01  9:13 Agostino Sarubbo
2017-06-01  7:41 Agostino Sarubbo
2017-01-15 20:20 Markus Meier
2016-12-21 21:33 Amadeusz Piotr Żołnowski
2016-12-21 11:28 Tobias Klausmann
2016-12-05 15:02 Pacho Ramos
2016-10-05 21:00 Amadeusz Piotr Żołnowski
2016-10-02 12:37 Pacho Ramos
2016-01-18 17:47 Andreas Schuerch
2016-01-17 17:24 Agostino Sarubbo
2016-01-08 22:15 Amadeusz Piotr Żołnowski
2016-01-07 20:25 Markus Meier
2016-01-04  6:08 Jeroen Roovers
2015-12-28 16:19 Agostino Sarubbo
2015-12-28 14:50 Justin Lecher
2015-10-30 12:25 Justin Lecher
2015-10-30 10:15 Agostino Sarubbo
2015-10-17 11:16 Markus Meier
2015-10-12  5:25 Jeroen Roovers
2015-09-28 17:19 Mikle Kolyada
2015-09-28  9:31 Agostino Sarubbo
2015-09-27 18:16 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692043051.2cd0f81884be879b08e51a5136f01dc67d2ffd7a.jstein@gentoo \
    --to=jstein@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox